// 首页相关接口

const api = {
	// 获取首页轮播图
	getRiceBanner: {
		url: '/index_common/getRiceBanner',
		method: 'GET',
	},
	// 获取首页常规产品【废弃】
	// getRiceCommonProductList: {
	// 	url: '/index_common/getRiceCommonProductList',
	// 	method: 'GET', 
	// },
	// 获取首页跳转图标
	getRiceIconList: {
		url: '/index_common/getRiceIconList',
		method: 'GET',
	},
	// 获取首页新闻详情
	getRiceNewsDetail: {
		url: '/index_common/getCommonNewsDetail',
		method: 'GET',
	},
	// 获取首页新闻列表
	getRiceNewsList: {
		url: '/index_common/getRiceNewsList',
		method: 'GET',
	},
	// 获取首页公告列表
	getRiceNoticeList: {
		url: '/index_common/getRiceNoticeList',
		method: 'GET',
	},
	// 获取首页商品详情
	getRiceProductDetail: {
		url: '/index_common/getRiceProductDetail',
		method: 'GET',
	},
	// 获取首页体验产品
	getRiceProductList: {
		url: '/index_common/getRiceProductList',
		method: 'GET',
	},
	// 查询分类接口
	getCategoryList: {
		url: '/index_common/getCategoryList',
		method: 'GET',
	},
	// 新查询分类以及商品数据接口
	getCategoryPidList: {
		url: '/index_common/getCategoryPidList',
		method: 'GET',
		debounce : 250,
	},
	// 查询一级分类接口
	getPidList: {
		url: '/index_common/getCategoryPidList',
		method: 'GET',
	},
	// 获取分类分页商品列表接口
	getClassShopPageList: {
		url: '/index_common/getClassShopPageList',
		method: 'GET',
	},
	// 加入购物车
	addCart: {
		url: '/index_common/addCart',
		method: 'GET',
		auth: true,
		showLoading: true,
	},
	// 删除购物车信息
	deleteCart: {
		url: '/index_common/deleteCart',
		method: 'DELETE',
		auth: true,
		showLoading: true,
	},
	// 修改购物车信息数量
	updateCartNum: {
		url: '/index_common/updateCartNum',
		method: 'POST',
		auth: true,
		debounce: 300,
	},
	// 创建订单
	createOrder: {
		url: '/index_common/createOrder',
		method: 'GET',
		auth: true,
		limit: 1000,
		showLoading: true,
	},
	// 创建订单-再次支付
	createOrderTwo: {
		url: '/index_common/createOrderTwo',
		method: 'GET',
		auth: true,
		limit: 1000,
		showLoading: true,
	},
	// 多商品创建订单
	createSumOrder: {
		url: '/index_common/createSumOrder',
		method: 'POST',
		auth: true,
		limit: 1000,
		showLoading: true,
	},
	// 多商品订单再次支付
	createSumOrderAgain: {
		url: '/index_common/createSumOrderAgain',
		method: 'POST',
		auth: true,
		limit: 1000,
		showLoading: true,
	},
	// 确认收货
	confirmOrder: {
		url: '/index_common/confirmOrder',
		method: 'GET',
		auth: true,
		limit: 1000,
		showLoading: true,
	},
	// 取消订单
	cancelOrder: {
		url: '/index_common/cancelOrder',
		method: 'GET',
		auth: true,
		limit: 1000,
		showLoading: true,
	},
	// 获取首页广告列表
	getRiceProductList: {
		url: '/index_common/getRiceAdList',
		method: 'GET',
	},
	// 获取首页广告列表
	getRiceAdDetail: {
		url: '/index_common/getRiceAdDetail',
		method: 'GET',
	},
	//获取优惠券信息
	getRiceCouponList: {
		url: '/info_common/getRiceCouponList',
		method: 'GET',
	},
	//增加或者修改合伙人申请信息
	addOrUpdateCommonUser: {
		url: '/index_common/addOrUpdateCommonUser',
		method: 'POST',
	},
	//根据用户查询渠合伙人申请信息表单
	getCommonUser: {
		url: '/index_common/getCommonUser',
		method: 'GET'
	},
	//提交反馈信息
	addFeedback: {
		url: '/info_common/addFeedback',
		method: 'POST'
	},
	// 获取我的直接推荐间接推荐用户列表带分页
	getHanHaiMemberUser: {
		url: '/info_common/getHanHaiMemberUser',
		method: 'GET'
	},
	// 获取祝福背景图
	getRiceBlessing: {
		url: '/index_common/getRiceBlessing',
		method: 'GET'
	},
	// 随机获取祝福语
	getRiceBlessingWords: {
		url: '/index_common/getRiceBlessingWords',
		method: 'GET'
	},
	// 根据订单标识修改订单祝福语背景
	updateOrderBlessing: {
		url: '/index_common/updateOrderBlessing',
		method: 'POST',
		auth : true,
		limit : 1000,
	},
	// 1.收礼流程 =》点击收礼
	getGiveShop: {
		url: '/index_common/getGiveShop',
		method: 'GET',
		auth : true,
		limit : 1000,
	},
	// 2.点击抽奖 =》抽奖
	getGiveShopLottery: {
		url: '/index_common/getGiveShopLottery',
		method: 'GET',
		auth : true,
		limit : 1000,
	},
}

export default api